[Overview][Types][Classes][Index] | Reference for unit 'LCLMemManager' (#lcl)

# TLCLMemManager.NewItem

Gets a pointer to a free memory manager item, or creates a new one.

## Declaration

Source position: lclmemmanager.pas line 47

`protected function TLCLMemManager.NewItem: PLCLMemManagerItem;`

## Function result

Pointer to the new memory manager item.

## See also

TLCLMemManager.FFirstFree |  | Internal member with the pointer the first item in the memory manager.
TLCLMemManager.FreeCount |  | Number of items marked as free in the list.
TLCLMemManager.AllocatedCount |  | Number of items allocated in the memory manager list.
TLCLMemManager.Count |  | Total number of items in the memory manager list.
PLCLMemManagerItem |  | Pointer to a TLCLMemManagerItem type.